%define snap	200409210700
%define name	phpwebgallery
%define version 1.4
%define release 0.%{snap}.1mdk

Summary:	PhpWebGallery
Name:		%{name}
Version:	%{version}
Release:	%{release}
# http://phpwebgallery.net/download/build/BSF/
Source0:	%{name}-BSF_%{snap}.tar.bz2
License:	GPL
URL:		http://www.phpwebgallery.net/
Group:		System/Servers
Requires:	webserver
Requires:	php-common
Requires:	php-mysql
Requires:	php-gd
Requires:	mod_php
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PhpWebGallery is a web application that enables you to create
images gallery online easily.

%prep

%setup -q -n %{name}-BSF_%{snap}

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/html/%{name}
cp -aRf * %{buildroot}/var/www/html/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README_en.txt README_fr.txt
%config(noreplace) %attr(0644,root,root) /var/www/html/%{name}/include/mysql.inc.php
/var/www/html/%{name}

%changelog
* Tue Sep 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409210700.1mdk
- 200409210700

* Thu Sep 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409080700.1mdk
- 200409080700

* Mon Sep 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409060700.1mdk
- 200409060700

* Sun Sep 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4-0.200409050700.1mdk
- initial mandrake package
